> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cube.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user attribute values



## OpenAPI

````yaml /api-reference/api.yaml get /v1/user-attribute-values/{userId}
openapi: 3.1.0
info:
  title: Cube Cloud REST API
  version: 1.0.0
  description: >-
    Programmatically manage Cube Cloud: deployments and everything scoped to
    them

    (environments, folders, reports, workbooks, notifications, workspace, and
    agents),

    plus account-level users, groups, policies, embedding, and AI settings.
servers:
  - url: https://{tenant}.cubecloud.dev/api
    description: >-
      Cube Cloud API base URL. Replace the whole host if you use a custom
      domain.
    variables:
      tenant:
        default: your-tenant
        description: Your Cube Cloud tenant subdomain
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Environments
  - name: Folders
  - name: Reports
  - name: Workbooks
  - name: Notifications
  - name: Workspace
  - name: User Attributes
  - name: App Theme
  - name: Embed
  - name: Embed Tenants
  - name: Dbt Sync
  - name: Env Variables
  - name: OAuth Integrations
  - name: OIDC Token Configs
  - name: Regions
  - name: Tenant Settings
  - name: User Attribute Values
  - name: User OAuth Tokens
  - name: Users Admin
paths:
  /v1/user-attribute-values/{userId}:
    get:
      tags:
        - User Attribute Values
      summary: Get user attribute values
      operationId: getUserAttributeValues
      parameters:
        - in: path
          name: userId
          required: true
          schema:
            type: number
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/UserAttributeValueDTO'
                type: array
          description: ''
components:
  schemas:
    UserAttributeValueDTO:
      properties:
        description:
          oneOf:
            - type: string
            - type: 'null'
        displayName:
          oneOf:
            - type: string
            - type: 'null'
        formattedValue:
          oneOf:
            - {}
            - type: 'null'
        name:
          type: string
        type:
          $ref: '#/components/schemas/UserAttributeValueDTOType'
        userAttributeId:
          type: integer
        userId:
          type: integer
        value:
          oneOf:
            - {}
            - type: 'null'
      required:
        - userId
        - userAttributeId
        - name
        - type
      type: object
    UserAttributeValueDTOType:
      enum:
        - string
        - number
        - boolean
        - string_array
        - number_array
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Token authentication. Send `Authorization: Bearer <YOUR_TOKEN>`.'

````